Skala
Stock adjustment items

Create a new stock adjustment item

Adds a new stock adjustment item record to the database.

POST
/api/stock_adjustment_items

Adds a new stock adjustment item record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new StockAdjustmentItem resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/stock_adjustment_items" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "stock": "/entity/1",
  "stockVariant": "/entity/1",
  "quantity": "string",
  "inStock": "string",
  "unitPrice": "string",
  "totalPrice": "string",
  "normalizedUnitPrice": "string",
  "normalizedTotalPrice": "string",
  "barcode": "string",
  "expirationDate": "2019-08-24T14:15:22Z",
  "currentAmount": 0,
  "batchNumber": "string"
}
Empty
Empty